cascading.flow.planner

## Class FlowPlanner.TempTapElementFactory

- java.lang.Object
- - cascading.flow.planner.rule.transformer.IntermediateTapElementFactory
  - - cascading.flow.planner.FlowPlanner.TempTapElementFactory

All Implemented Interfaces:
  ElementFactory

Enclosing class:
  FlowPlanner<F extends BaseFlow,Config>

    public class FlowPlanner.TempTapElementFactory
    extends IntermediateTapElementFactory

### Field Summary

### Fields inherited from class cascading.flow.planner.rule.transformer.IntermediateTapElementFactory

`ACCUMULATED_TAP, TEMP_TAP`

### Constructor Summary

Constructors
Constructor and Description
`FlowPlanner.TempTapElementFactory()`
`FlowPlanner.TempTapElementFactory(java.lang.String defaultDecoratorClassName)`

### Method Summary

Methods
`FlowElement` `create(ElementGraph graph, FlowElement flowElement)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FlowPlanner.TempTapElementFactory

    public FlowPlanner.TempTapElementFactory()

#### FlowPlanner.TempTapElementFactory

    public FlowPlanner.TempTapElementFactory(java.lang.String defaultDecoratorClassName)

### Method Detail

#### create

    public FlowElement create(ElementGraph graph,
                     FlowElement flowElement)